[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.AutoAdjustColumns

Updates the widths for automatically-sized columns in the grid control.

## Declaration

Source position: dbgrids.pas line 541

`public procedure TCustomDBGrid.AutoAdjustColumns; override;`

## Description

Removes gsAutoSized from the GridStatus flags. Calls UpdateAutoSizeColumns to calculate the widths for automatically- sized columns. AutoAdjustColumns does NOT call the inherited method.

## See also

TCustomGrid.AutoAdjustColumns |  | Automatically adjusts columns sizes to the width of their content.